﻿// ***********************************************************************
// Provided for Informational Purposes Only
//
// Apache 2.0 License
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.WinRT
// File      : MessageObject.cs
//
// ***********************************************************************
using Newtonsoft.Json;

namespace ContractMeow.Data.WinRT.Models
{
	public class MessageObject
	{
		[JsonProperty("body", Required = Required.Always)]
		public string Body { get; set; }
		[JsonProperty("og_url")]
		public string Url { get; set; }
		[JsonProperty("og_title")]
		public string Title { get; set; }
		[JsonProperty("og_image", DefaultValueHandling = DefaultValueHandling.Ignore, NullValueHandling = NullValueHandling.Ignore)]
		public string ImageUri { get; set; }
		[JsonProperty("og_description", DefaultValueHandling = DefaultValueHandling.Ignore, NullValueHandling = NullValueHandling.Ignore)]
		public string Description { get; set; }
		[JsonProperty("og_object_type")]
		public string Type { get; set; }
		[JsonProperty("cc")]
		public string Users { get; set; }
	}
}
