﻿// ***********************************************************************
// Provided for Informational Purposes Only
//
// Apache 2.0 License
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Data.WinRT
// File      : IUsersRepository.cs
//
// ***********************************************************************
using ContractMeow.Api.Dtos.AutoComplete;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace ContractMeow.Data.WinRT
{
	/// <summary>
	/// Provides access to users in the current user's network.
	/// </summary>
	public interface IUsersRepository : IRepository
	{
		/// <summary>
		/// Gets the users list
		/// </summary>
		Task<IEnumerable<AutoCompleteUser>> GetUsersAsync();
	}
}