﻿// ***********************************************************************
// Provided for Informational Purposes Only
//
// Apache 2.0 License
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Data.WinRT
// File      : StateManager.cs
//
// ***********************************************************************
using ContractMeow.Api.Dtos.User;
using ContractMeow.Data.WinRT.Models;
using System;

namespace ContractMeow.Data.WinRT
{
	/// <summary>
	/// Class StateManager
	/// </summary>
	public class StateManager : IStateManager
	{
		/// <summary>
		/// Gets or sets the user principal.
		/// </summary>
		/// <value>The user principal.</value>
		public Credentials Credentials { get; set; }

		/// <summary>
		/// Gets the is authenticated.
		/// </summary>
		/// <value>The is authenticated.</value>
		public Boolean IsAuthenticated { get { return Credentials != null; } }

		/// <summary>
		/// Gets or sets the currently logged in user.
		/// </summary>
		public User CurrentUser { get; set; }

		/// <summary>
		/// Initializes a new instance of the <see cref="StateManager" /> class.
		/// </summary>
		public StateManager()
		{
			Credentials = null;
		}
	}
}