﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : AccessToken.cs
//
// ***********************************************************************
using Newtonsoft.Json;
using System;

namespace ContractMeow.Api.Dtos
{
	public sealed class AccessToken
	{
		[JsonProperty("token")]
		public String Token { get; set; }
		[JsonProperty("user_id")]
		public Int64 UserId { get; set; }
		[JsonProperty("network_id")]
		public Int64 NetworkId { get; set; }
		[JsonProperty("network_name")]
		public String NetworkName { get; set; }
		[JsonProperty("network_permalink")]
		public String NetworkPermalink { get; set; }

		[JsonProperty("created_at")]
		public DateTimeOffset CreatedAt { get; set; }
		[JsonProperty("authorized_at")]
		public DateTimeOffset AuthorizedAt { get; set; }
		[JsonProperty("expires_at")]
		public DateTimeOffset? ExpiresAt { get; set; }

		[JsonProperty("view_messages")]
		public Boolean CanViewMessages { get; set; }
		[JsonProperty("view_members")]
		public Boolean CanViewMembers { get; set; }
		[JsonProperty("view_groups")]
		public Boolean CanViewGroups { get; set; }
		[JsonProperty("view_tags")]
		public Boolean CanViewTags { get; set; }
		[JsonProperty("view_subscriptions")]
		public Boolean CanViewSubscriptions { get; set; }
		[JsonProperty("modify_subscriptions")]
		public Boolean CanModifySubscriptions { get; set; }
		[JsonProperty("modify_messages")]
		public Boolean CanModifyMessages { get; set; }
	}
}
