﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : ActivityEnvelope.cs
//
// ***********************************************************************

using Newtonsoft.Json;

namespace ContractMeow.Api.Dtos.Activity
{
	public class ActivityEnvelope
	{
		[JsonProperty("activity")]
		public Activity Activity { get; set; }
	}

	public class Activity
	{
		[JsonProperty("actor", Required = Required.Always)]
		public ActivityUser Actor { get; set; }
		[JsonProperty("action", Required = Required.Always)]
		public string Action { get; set; }
		[JsonProperty("object", Required = Required.Always)]
		public OpenGraphObject OgObject { get; set; }
		[JsonProperty("private", DefaultValueHandling = DefaultValueHandling.Ignore, NullValueHandling = NullValueHandling.Ignore)]
		public bool Private { get; set; }
		[JsonProperty("message", DefaultValueHandling = DefaultValueHandling.Ignore, NullValueHandling = NullValueHandling.Ignore)]
		public string Message { get; set; }
		[JsonProperty("users", DefaultValueHandling = DefaultValueHandling.Ignore, NullValueHandling = NullValueHandling.Ignore)]
		public ActivityUser[] Users { get; set; }

	}
}
