﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : OpenGraphObject.cs
//
// ***********************************************************************

using Newtonsoft.Json;

namespace ContractMeow.Api.Dtos.Activity
{
	/// <summary>
	/// Class OpenGraphObject
	/// </summary>
	public class OpenGraphObject
	{
		/// <summary>
		/// Gets or sets the URL.
		/// </summary>
		/// <value>The URL.</value>
		[JsonProperty("url", Required = Required.Always)]
		public string Url { get; set; }
		//[JsonProperty("type", DefaultValueHandling = DefaultValueHandling.Ignore)]
		//[DefaultValue(typeof(OGTypes), "page")]
		//public OGTypes EnumType { get; set; }
		/// <summary>
		/// Gets or sets the title.
		/// </summary>
		/// <value>The title.</value>
		[JsonProperty("title", Required = Required.Always)]
		public string Title { get; set; }
		/// <summary>
		/// Gets or sets the image URI.
		/// </summary>
		/// <value>The image URI.</value>
		[JsonProperty("image", DefaultValueHandling = DefaultValueHandling.Ignore, NullValueHandling = NullValueHandling.Ignore)]
		public string ImageUri { get; set; }
		/// <summary>
		/// Gets or sets the description.
		/// </summary>
		/// <value>The description.</value>
		[JsonProperty("description", DefaultValueHandling = DefaultValueHandling.Ignore, NullValueHandling = NullValueHandling.Ignore)]
		public string Description { get; set; }
		/// <summary>
		/// Gets or sets the type.
		/// </summary>
		/// <value>The type.</value>
		[JsonProperty("type", Required = Required.Always)]
		public string Type { get; set; }
	}
}
