﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : Attachment.cs
//
// ***********************************************************************
using Newtonsoft.Json;
using System;

namespace ContractMeow.Api.Dtos.Attachment
{
	/// <summary>
	/// Yammer Attachment object that maps directly to the Yammer API.  Yammer Attachment objects exist in two
	/// distinct places in the Yammer API Object Model.
	/// (1) In Messages, they are in the attachments list
	/// (2) In Threads, they are in the references list along with other types that implement the IReference interface
	/// </summary>
	public sealed class Attachment : AttachmentBase, IAttachment
	{
        private string _type;

        public Attachment()
		{
			Type = "unknown";
		}

		#region IAttachment

	    /// <summary>
	    /// Gets the type.
	    /// </summary>
	    /// <value>The type.</value>
	    [JsonProperty("type")]
	    public override String Type
	    {
	        get { return _type; }
	        set { _type = value; }
	    }

		#endregion
	}
}