﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : ImageAttachment.cs
//
// ***********************************************************************
using Newtonsoft.Json;
using System;

namespace ContractMeow.Api.Dtos.Attachment
{
	/// <summary>
	/// Yammer Image Attachement object that maps directly to the Yammer API
	/// </summary>
    public sealed class ImageAttachment : FileAttachment, IImageAttachment
	{
		/// <summary>
		/// Gets the type.
		/// </summary>
		/// <value>The type.</value>
        [JsonProperty( "type" )]
        public override String Type
        {
            get { return "image"; }
            set {}
        }

		/// <summary>
		/// Gets or sets the height.
		/// </summary>
		/// <value>The height.</value>
        [JsonProperty( "height" )]
        public Int64 Height { get; set; }

		/// <summary>
		/// Gets or sets the scaled URL.
		/// </summary>
		/// <value>The scaled URL.</value>
        [JsonProperty( "scaled_url" )]
        public Uri ScaledUrl { get; set; }
		
		/// <summary>
		/// Gets or sets the width.
		/// </summary>
		/// <value>The width.</value>
        [JsonProperty( "width" )]
        public Int64 Width { get; set; }
    }
}