﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : YModule.cs
//
// ***********************************************************************

using Newtonsoft.Json;
using System;

namespace ContractMeow.Api.Dtos.Attachment
{
	/// <summary>
	/// Class YModule
	/// </summary>
	public sealed class YModule
	{
		/// <summary>
		/// Seems to effectively be the YModule type. e.g. "praise", "questions", and "events"
		/// </summary>
		/// <value>The app id.</value>
		[JsonProperty("app_id")]
		public String AppId { get; set; }

		/// <summary>
		/// Gets or sets the web app id.
		/// </summary>
		/// <value>The web app id.</value>
		[JsonProperty("web_app_id")]
		public String WebAppId { get; set; }

		/// <summary>
		/// Gets or sets the icon URL.
		/// </summary>
		/// <value>The icon URL.</value>
		[JsonProperty("icon_url")]
		public Uri IconUrl { get; set; }
	}
}