﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : YModuleAttachment.cs
//
// ***********************************************************************

using Newtonsoft.Json;
using System;

namespace ContractMeow.Api.Dtos.Attachment
{
	/// <summary>
	/// Class YModuleAttachment
	/// </summary>
	public class YModuleAttachment : AttachmentBase, IYModuleAttachment
	{
		#region IAttachment

		/// <summary>
		/// Gets the type.
		/// </summary>
		/// <value>The type.</value>
		[JsonProperty("type")]
		public override String Type
		{
			get { return "ymodule"; }
			set { }
		}

		#endregion

		/// <summary>
		/// Gets or sets the inline HTML.
		/// </summary>
		/// <value>The inline HTML.</value>
		[JsonProperty("inline_html")]
		public String InlineHtml { get; set; }

		/// <summary>
		/// Gets or sets the inline URL.
		/// </summary>
		/// <value>The inline URL.</value>
		[JsonProperty("inline_url")]
		public string InlineUrl { get; set; }

		/// <summary>
		/// Gets or sets the record id.
		/// </summary>
		/// <value>The record id.</value>
		[JsonProperty("record_id")]
		public Int64? RecordId { get; set; }

		/// <summary>
		/// Gets or sets the real id.
		/// </summary>
		/// <value>The real id.</value>
		[JsonProperty("real_id")]
		public Int64? RealId { get; set; }

		/// <summary>
		/// Gets or sets the type of the real.
		/// </summary>
		/// <value>The type of the real.</value>
		[JsonProperty("real_type")]
		public virtual String RealType { get; set; }

		/// <summary>
		/// Gets or sets the thumbnail URL.
		/// </summary>
		/// <value>The thumbnail URL.</value>
		[JsonProperty("thumbnail_url")]
		public string ThumbnailUrl { get; set; }

		/// <summary>
		/// Gets or sets the Y module.
		/// </summary>
		/// <value>The Y module.</value>
		[JsonProperty("ymodule")]
		public YModule YModule { get; set; }

	}
}