﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : AutoCompleteUser.cs
//
// ***********************************************************************
using Newtonsoft.Json;
using System;

namespace ContractMeow.Api.Dtos.AutoComplete
{
	public sealed class AutoCompleteUser
	{
		[JsonProperty("email")]
		public String Email { get; set; }

		[JsonProperty("full_name")]
		public String FullName { get; set; }

		[JsonProperty("id")]
		public Int64 Id { get; set; }

		[JsonProperty("job_title")]
		public String JobTitle { get; set; }

		[JsonProperty("mugshot_url_template")]
		public String MugshotUrlTemplate { get; set; }

		[JsonProperty("name")]
		public String Name { get; set; }

		[JsonProperty("photo")]
		public Uri MugshotUrl { get; set; }

		[JsonProperty("web_url")]
		public Uri WebUrl { get; set; }

		[JsonProperty("state")]
		public String State { get; set; }

		public Boolean IsActive { get { return State.CompareTo("active") == 0; } }
	}
}
