﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : AutoCompleteUserEnvelope.cs
//
// ***********************************************************************
using Newtonsoft.Json;
using System;

namespace ContractMeow.Api.Dtos.AutoComplete
{
	public sealed class AutoCompleteUserEnvelope
	{
		// {"user": [
		//      {"id":"1489861353","ranking": 1234, ...
		//      {"id":"1489861353","ranking": 1234, ...
		//  ] }

		public AutoCompleteUserEnvelope()
		{
			Id = Guid.NewGuid().GetHashCode();
		}

		[JsonProperty("user")]
		public AutoCompleteUser[] Users { get; set; }

		public long Id { get; private set; }
	}
}
