﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : MessageThreading.cs
//
// ***********************************************************************
using ContractMeow.Api.Dtos.Attribute.Generic;

namespace ContractMeow.Api.Dtos
{
	public enum MessageThreading
	{
		/// <summary>
		/// Returns no messages from the threads.
		/// </summary>
		[Description("false")]
		False,
		/// <summary>
		/// Returns the first message in each thread.
		/// </summary>
		[Description("true")]
		True,
		/// <summary>
		/// Returns the thread starter messages in order of most recently active as well as the two most recent messages, as they are viewed in the default view on our website.
		/// </summary>
		[Description("extended")]
		Extended
	}
}