﻿using Newtonsoft.Json;
using System;

namespace ContractMeow.Api.Dtos.References
{
    public sealed class ConversationReference : IReference
    {
        public const String ApiType = "conversaton";

        [JsonProperty( "id" )]
        public Int64 Id { get; set; }
        [JsonProperty( "participating_names" )]
        public Participant[] Participants { get; set; }

        [JsonProperty( "type" )]
        public String Type { get { return ApiType; } }

        [JsonIgnore]
        public String DisplayValue { get { return String.Empty; } }
    }
}