﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : MessageReference.cs
//
// ***********************************************************************
using ContractMeow.Api.Dtos.Message;
using Newtonsoft.Json;
using System;

namespace ContractMeow.Api.Dtos.References
{
	public sealed class MessageReference : IReference
	{
		public const String ApiType = "message";

		[JsonProperty("id")]
		public Int64 Id { get; set; }
		[JsonProperty("thread_id")]
		public Int64 ThreadId { get; set; }
		[JsonProperty("replied_to_id")]
		public Int64? RepliedToId { get; set; }
		[JsonProperty("network_id")]
		public Int64 NetworkId { get; set; }
		[JsonProperty("message_type")]
		public String MessageType { get; set; }
		[JsonProperty("system_message")]
		public Boolean IsSystemMessage { get; set; }
		[JsonProperty("created_at")]
		public DateTimeOffset? CreatedAt { get; set; }
		[JsonProperty("web_url")]
		public Uri WebUrl { get; set; }
		[JsonProperty("url")]
		public Uri Url { get; set; }
		[JsonProperty("sender_id")]
		public String SenderId { get; set; }
		[JsonProperty("sender_type")]
		public String SenderType { get; set; }
		[JsonProperty("body")]
		public Body Body { get; set; }


		[JsonProperty("type")]
		public string Type { get { return ApiType; } }

		[JsonIgnore]
		public string DisplayValue { get { return String.Empty; } }
	}
}
