﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : ThreadReference.cs
//
// ***********************************************************************
using ContractMeow.Api.Dtos.Serialization;
using Newtonsoft.Json;
using System;

namespace ContractMeow.Api.Dtos.References
{
	public class ThreadReference : IReference
	{
		public const String ApiType = "thread";

		[JsonProperty("id")]
		public Int64 Id { get; set; }
		[JsonProperty("thread_starter_id")]
		public Int64 ThreadStarterId { get; set; }
		[JsonProperty("direct_message")]
		public Boolean IsDirectMessage { get; set; }
		[JsonProperty("web_url")]
		public Uri WebUrl { get; set; }
		[JsonProperty("url")]
		public Uri Url { get; set; }
		[JsonProperty("has_attachments")]
		public Boolean HasAttachments { get; set; }
		[JsonProperty("privacy")]
		[JsonConverter(typeof(PrivacyJsonConverter))]
		public Boolean IsPublic { get; set; }
		[JsonProperty("stats")]
		public ThreadStats Stats { get; set; }

		[JsonProperty("type")]
		public String Type { get { return ApiType; } }

		[JsonIgnore]
		public String DisplayValue { get { return String.Empty; } }
	}
}
