﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : ResponseEnvelope.cs
//
// ***********************************************************************
using Newtonsoft.Json;

namespace ContractMeow.Api.Dtos
{
	/// <summary>
	/// use generic to handle api response object
	/// </summary>
	/// <typeparam name="T"></typeparam>
	public sealed class ResponseEnvelope<T> where T : new()
	{
		[JsonProperty("response")]
		public T Response { get; set; }
	}
}
