﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : User.cs
//
// ***********************************************************************
using Newtonsoft.Json;
using System;

namespace ContractMeow.Api.Dtos.User
{
	public sealed class User : IAutoCompleteValueEx
	{
		[JsonProperty("guid")]
		public Guid? Guid { get; set; }
		[JsonProperty("activated_at")]
		public DateTimeOffset? ActivatedAt { get; set; }

		[JsonProperty("id")]
		public Int64 Id { get; set; }
		//todo: Map to an enumeration
		[JsonProperty("state")]
		public String State { get; set; }
		[JsonProperty("name")]
		public String Name { get; set; }
		[JsonProperty("first_name")]
		public String FirstName { get; set; }
		[JsonProperty("last_name")]
		public String LastName { get; set; }
		[JsonProperty("full_name")]
		public String FullName { get; set; }
		[JsonProperty("job_title")]
		public String JobTitle { get; set; }
		[JsonProperty("mugshot_url")]
		public Uri MugshotUrl { get; set; }
		[JsonProperty("mugshot_url_template")]
		public String MugshotUrlTemplate { get; set; }
		[JsonProperty("web_url")]
		public Uri WebUrl { get; set; }

		[JsonProperty("network_id")]
		public Int64 NetworkId { get; set; }
		[JsonProperty("network_name")]
		public String NetworkName { get; set; }

		[JsonProperty("url")]
		public Uri Url { get; set; }
		[JsonProperty("department")]
		public String Department { get; set; }
		[JsonProperty("expertise")]
		public String Expertise { get; set; }
		[JsonProperty("summary")]
		public String Summary { get; set; }
		//todo: convert to TimeZoneInfo
		[JsonProperty("timezone")]
		public String Timezone { get; set; }

		[JsonProperty("location")]
		public String Location { get; set; }
		[JsonProperty("birth_date")]
		public String BirthDate { get; set; }
		[JsonProperty("significant_other")]
		public String SignificantOtherName { get; set; }
		[JsonProperty("kids_names")]
		public String KidsNames { get; set; }
		[JsonProperty("interests")]
		public String Interests { get; set; }
		[JsonProperty("previous_companies")]
		public CompanyInfo[] PreviousCompanies { get; set; }
		[JsonProperty("schools")]
		public SchoolInfo[] Schools { get; set; }

		//todo: Safe to use Uri even though these values are user entered?
		[JsonProperty("external_urls")]
		public String[] ExternalUrls { get; set; }

		[JsonProperty("admin")]
		public Boolean IsAdmin { get; set; }
		[JsonProperty("verified_admin")]
		public Boolean IsVerifiedAdmin { get; set; }
		[JsonProperty("can_broadcast")]
		public Boolean CanBroadcast { get; set; }

		[JsonProperty("settings")]
		public UserSettings Settings { get; set; }
		[JsonProperty("stats")]
		public UserStat Stats { get; set; }
		[JsonProperty("contact")]
		public UserContact ContactInfo { get; set; }

		[JsonProperty("treatments")]
		public Treatments Treatments { get; set; }

		[JsonProperty("network_domains")]
		public String[] NetworkDomains { get; set; }
	}
}