﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : UserRequestParameters.cs
//
// ***********************************************************************
using System;

namespace ContractMeow.Api.Dtos
{
	public sealed class UserRequestParameters : IUserRequestParameters
	{
		public UserRequestParameters()
		{
			IncludeGroups = false;
			WithTreatments = true;
		}

		public Boolean IncludeGroups { get; set; }
		public Boolean WithTreatments { get; set; }

		public Object ToApiParameters()
		{
			return new
				{
					include_groups = IncludeGroups,
					with_treatments = WithTreatments
				};
		}
	}
}