﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Api.Dtos
// File      : YModuleMeta.cs
//
// ***********************************************************************
using Newtonsoft.Json;
using System;

namespace ContractMeow.Api.Dtos
{
	/// <summary>
	/// Class YModuleMeta
	/// </summary>
	public sealed class YModuleMeta
	{
		/// <summary>
		/// Gets or sets the id.
		/// </summary>
		/// <value>The id.</value>
		[JsonProperty("id")]
		public Int64 Id { get; set; }

		/// <summary>
		/// Gets or sets the inline HTML.
		/// </summary>
		/// <value>The inline HTML.</value>
		[JsonProperty("inline_html")]
		public String InlineHtml { get; set; }

		/// <summary>
		/// Gets or sets the viewer id.
		/// </summary>
		/// <value>The viewer id.</value>
		[JsonProperty("viewer_id")]
		public Int64 ViewerId { get; set; }
	}
}