﻿// ***********************************************************************
// Apache 2.0 License
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Models
// File      : ImageAttachmentModel.cs
//
// ***********************************************************************
using System;

namespace ContractMeow.Models.Attachments
{
	public class ImageAttachmentModel : FileAttachmentModel, IImageAttachmentModel
	{
		private Uri _scaledUrl;
		private long _height;
		private long _width;

		public static ImageAttachmentModel FromIAttachment(ContractMeow.Api.Dtos.Attachment.IImageAttachment attachment)
		{
			return new ImageAttachmentModel(attachment);
		}

		internal ImageAttachmentModel(ContractMeow.Api.Dtos.Attachment.IImageAttachment imageAttachment)
			: base(imageAttachment)
		{
			Width = imageAttachment.Width;
			Height = imageAttachment.Height;
			ScaledUrl = imageAttachment.ScaledUrl;
		}

		public long Width
		{
			get { return _width; }
			set { _width = value; }
		}

		public long Height
		{
			get { return _height; }
			set { _height = value; }
		}

		public Uri ScaledUrl
		{
			get { return _scaledUrl; }
			set { _scaledUrl = value; }
		}
	}
}