﻿// ***********************************************************************
// Provided for Informational Purposes Only
//
// Apache 2.0 License
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
//
// THIS CODE IS PROVIDED *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY 
// IMPLIED WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR 
// PURPOSE, MERCHANTABLITY OR NON-INFRINGEMENT.
//
// See the Apache Version 2.0 License for specific language governing
// permissions and limitations under the License.
// ***********************************************************************
// Assembly  : ContractMeow.Models
// File      : IAutoCompleteItemModel.cs
//
// ***********************************************************************

namespace ContractMeow.Models
{
	public interface IAutoCompleteItemModel
	{
		/// <summary>
		/// Data key for item (e.g. User Id, User Permalink)
		/// </summary>
		string Key { get; set; }

		/// <summary>
		/// Image for the item
		/// </summary>
		string ImageUrl { get; set; }

		/// <summary>
		/// Prominent text for the item (e.g User Full name)
		/// </summary>
		string Title { get; set; }

		/// <summary>
		/// Descriptive text
		/// </summary>
		string Description { get; set; }

		/// <summary>
		/// Used to group a set of items together (not group name) (e.g. active, pending, email)
		/// </summary>
		string Grouping { get; set; }
	}
}
